Custom Providers
Retrieve custom provider
GET
/
api
/
providers
/
{pk}
/
import requests
provider_pk = 123
url = f"https://api.keywordsai.co/api/providers/{provider_pk}/"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const providerPk = 123;
const url = `https://api.keywordsai.co/api/providers/${providerPk}/`;
const headers = {
'Authorization': 'Bearer YOUR_API_KEY'
};
const response = await fetch(url, {
method: 'GET',
headers: headers
});
const data = await response.json();
console.log(data);
curl "https://api.keywordsai.co/api/providers/123/" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "my-azure-provider",
"provider_id": "my-azure-provider",
"provider_name": "My Azure Provider",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
{
"detail": "Not found."
}
{
"detail": "Authentication credentials were not provided."
}
Retrieve a specific custom provider by its primary key ID.
Sensitive fields: The
api_key and extra_kwargs fields are never returned in API responses for security reasons.Path parameters
integer
required
The provider’s primary key ID (numeric database ID).
Example
Example
123
Response
Returns the provider object without sensitive fields.{
"id": "my-azure-provider",
"provider_id": "my-azure-provider",
"provider_name": "My Azure Provider",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
{
"detail": "Not found."
}
{
"detail": "Authentication credentials were not provided."
}
import requests
provider_pk = 123
url = f"https://api.keywordsai.co/api/providers/{provider_pk}/"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const providerPk = 123;
const url = `https://api.keywordsai.co/api/providers/${providerPk}/`;
const headers = {
'Authorization': 'Bearer YOUR_API_KEY'
};
const response = await fetch(url, {
method: 'GET',
headers: headers
});
const data = await response.json();
console.log(data);
curl "https://api.keywordsai.co/api/providers/123/" \
-H "Authorization: Bearer YOUR_API_KEY"
Was this page helpful?
⌘I
import requests
provider_pk = 123
url = f"https://api.keywordsai.co/api/providers/{provider_pk}/"
headers = {
"Authorization": "Bearer YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const providerPk = 123;
const url = `https://api.keywordsai.co/api/providers/${providerPk}/`;
const headers = {
'Authorization': 'Bearer YOUR_API_KEY'
};
const response = await fetch(url, {
method: 'GET',
headers: headers
});
const data = await response.json();
console.log(data);
curl "https://api.keywordsai.co/api/providers/123/" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "my-azure-provider",
"provider_id": "my-azure-provider",
"provider_name": "My Azure Provider",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
{
"detail": "Not found."
}
{
"detail": "Authentication credentials were not provided."
}